Qt 5.7 | Qt 3D | C++ Classes | QComponentAddedChange

Qt 5.7.1 Reference Documentation

# QComponentAddedChange Class

(Qt3DCore::QComponentAddedChange)

The QComponentAddedChange class is used to notify when a component is added to an entity More...

Header: | #include <QComponentAddedChange>
qmake: | QT += 3dcore
Inherits: | QSceneChange

- List of all members, including inherited members

## Public Functions

| QComponentAddedChange(const QEntity *entity, const QComponent *component)
| ~QComponentAddedChange()
QNodeId | componentId() const
const QMetaObject * | componentMetaObject() const
QNodeId | entityId() const

- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QComponentAddedChangePtr

## Detailed Description

The QComponentAddedChange class is used to notify when a component is added to an entity

## Member Function Documentation

### QComponentAddedChange::QComponentAddedChange(const QEntity *entity, const QComponent *component)

Constructs a new QComponentAddedChange with with entity and component.

### QComponentAddedChange::~QComponentAddedChange()

Destroys the instance of QComponentAddedChange.

### QNodeId QComponentAddedChange::componentId() const

Returns the id of the component added.

### const QMetaObject *QComponentAddedChange::componentMetaObject() const

Returns the metaobject.

### QNodeId QComponentAddedChange::entityId() const

Returns the id of the entity the component was added to.

## Related Non-Members

### typedef Qt3DCore::QComponentAddedChangePtr

A shared pointer for QComponentAddedChange.